package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsProduceRecall;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0产品召回 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
public interface IJsProduceRecallService extends IService<JsProduceRecall> {

    AjaxResult add(JsProduceRecall produceRecall);

    AjaxResult edit(JsProduceRecall produceRecall);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String produceName, String animalType);

    AjaxResult listAll();

}
